vala-tests r25 - trunk/tests/bugs
- From: malureau svn gnome org
- To: svn-commits-list gnome org
- Subject: vala-tests r25 - trunk/tests/bugs
- Date: Sat, 18 Oct 2008 15:37:09 +0000 (UTC)
Author: malureau
Date: Sat Oct 18 15:37:09 2008
New Revision: 25
URL: http://svn.gnome.org/viewvc/vala-tests?rev=25&view=rev
Log:
Add bug 434514 test
Added:
trunk/tests/bugs/434514.test (contents, props changed)
trunk/tests/bugs/434514.vala
Modified:
trunk/tests/bugs/update.sh
Added: trunk/tests/bugs/434514.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434514.test Sat Oct 18 15:37:09 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+ VALAC=valac
+ SRCDIR=.
+fi
+
+while true ; do
+ case "$1" in
+ --interact) INTERACT=1 ; shift ;;
+ --) shift ; break ;;
+ *) break ;;
+ esac
+done
+
+TESTNAME=`basename $0 .test`
+
+! $VALAC -o $TESTNAME $SRCDIR/$TESTNAME.vala $VALAFLAGS
+
+true || exit 1
+
+if [ "xno" = "x1" -o "x$INTERACT" = "x1" ] ; then
+ G_DEBUG=fatal_warnings ./$TESTNAME $@
+else
+ echo ""
+ [ "xno" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+ [ "xno" = "xno" ] && rm -rf 434514.o
+fi
+
Added: trunk/tests/bugs/434514.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434514.vala Sat Oct 18 15:37:09 2008
@@ -0,0 +1,8 @@
+using GLib;
+
+static void main () {
+ var test = new Object ();
+
+ foreach (var i in test) {
+ }
+}
\ No newline at end of file
Modified: trunk/tests/bugs/update.sh
==============================================================================
--- trunk/tests/bugs/update.sh (original)
+++ trunk/tests/bugs/update.sh Sat Oct 18 15:37:09 2008
@@ -19,6 +19,7 @@
invalid="
434503
+434514
"
set -e
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]